---
title: Componentes de React de Selectores de Fecha y Selectores de Hora
components: TextField
githubLabel: 'component: DatePicker'
materialDesign: https://material.io/components/date-pickers
waiAria: https://www.w3.org/TR/wai-aria-practices/examples/dialog-modal/datepicker-dialog.html
packageName: '@material-ui/lab'
---

# Selectores de Fecha / Hora

<p class="description">Los selectores de fecha y hora proporcionan una forma simple de seleccionar un solo valor de un conjunto predeterminado.</p>

- En móvil, los selectores son los más adecuados para despliegue en diálogos de confirmación.
- Para despliegue en línea, como en un formulario, considere usar controles compactos tales como los botones desplegables segmentados.

{{"component": "modules/components/ComponentLinkHeader.js"}}

## React components

{{"demo": "pages/components/pickers/MaterialUIPickers.js"}}

## Selectores nativos

⚠️ Los controles de entrada nativos compatibles con los navegadores [no son perfectos](https://caniuse.com/#feat=input-datetime).

### Date picker

Un ejemplo del selector de fecha nativo con `type="date"`.

{{"demo": "pages/components/pickers/DatePickers.js"}}

### Date & Time picker

Un ejemplo de selector de fecha y hora con `type="datetime-local"`.

{{"demo": "pages/components/pickers/DateAndTimePickers.js"}}

### Time picker

Un ejemplo de un selector de hora nativo con `type="time"`.

{{"demo": "pages/components/pickers/TimePickers.js"}}
