# Lernen Sie die Material-UI kennen

<p class="description">Neu bei der Material-UI? Es ist leichter zu lernen, wenn Sie wissen, wo Sie anfangen sollen! Diese Anleitung hilft Ihnen, schnell loszulegen.</p>

Wie jede unbekannte Technologie hat Material-UI eine Lernkurve. Whether you prefer a more theoretical or practical approach, we hope you'll find this section helpful. Developers come to Material-UI from different backgrounds and with different learning styles. Whether you prefer a more theoretical or practical approach, we hope you’ll find this section helpful.

## First example

Die [Verwendungsseite](/getting-started/usage/#quick-start) enthält ein kleines Material-UI-Beispiel mit einem Live-Editor. Even if you don't know anything about Material-UI yet, try changing the code and see how it affects the result.

## Example projects

There are [some example projects](/getting-started/example-projects/) available, providing the infrastructure needed to develop and deploy websites in React.

## Vorlagen

This [selection of basic templates](/getting-started/templates/) will help you get started building your app.

## Empfohlene Ressourcen

Wenn Sie das erste Mal die Material-UI lernen, finden Sie möglicherweise Blogbeiträge, Bücher und Videokurse von Drittanbietern, die hilfreicher sind als die offizielle Dokumentation. Here are some recommended resources, some of which are free.

### Kostenlos

- **Introduction to Material-UI**: a series of videos covering all the important Material-UI components.
  - 📹 [Die Videos](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Customize Material-UI for your project**: a look at how you can customize Material-UI to align with your company identity (design system) and products
  - 📹 [Die Videos](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI.
  - 📝 [Der Blogbeitrag](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components.
  - 📹 [Die Videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list.
  - 📝 [Der Blogbeitrag](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [Das Video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts.
  - 📝 [Der Blogbeitrag](https://alligator.io/react/material-ui/)

### Kostenpflichtig

- **Implement high fidelity designs**: Bridge the gap between Design & Development. Break down detailed designs and bring them to life with Material-UI and React.

  - 💻 [The Course](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)

- **Apply Google Material Design**: This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.

  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)

- **Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  - 📘 [ Das Buch ](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript and SaaS web application from scratch, using a Modern JavaScript stack and Material-UI.
  - 📘 [ Das Buch ](https://builderbook.org/)
